# Uses of Interface
ij.macro.MacroConstants

Packages that use MacroConstants
Package
Description
ij.macro
ij.plugin
ij.plugin.frame

## Uses of MacroConstants in ij.macro

Classes in ij.macro that implement MacroConstants
Modifier and Type
Class
Description
`class`
`Functions`
This class implements the built-in macro functions.
`class`
`Interpreter`
This is the recursive descent parser/interpreter for the ImageJ macro language.
`class`
`Program`
An object of this type is a tokenized macro file and the associated symbol table.
`class`
`Symbol`
Objects of this class are used as entries in the macro language symbol table.
`class`
`Tokenizer`
This class converts an imageJ macro file file into a token stream.
`class`
`Variable`

## Uses of MacroConstants in ij.plugin

Classes in ij.plugin that implement MacroConstants
Modifier and Type
Class
Description
`class`
`MacroInstaller`
This plugin implements the Plugins/Macros/Install Macros command.

## Uses of MacroConstants in ij.plugin.frame

Classes in ij.plugin.frame that implement MacroConstants
Modifier and Type
Class
Description
`class`
`Editor`
This is a simple TextArea based editor for editing and compiling plugins.